關於系統升級?

影音工作求穩定可以工作,就是用LTS,如果要協助發展,就使用non LTS。

我們的系統是Ubuntu Mate 18.04 LTS + 第三方的KXStudio 專業影音套件庫+我們Musicha 自己做的界面美化與針對音樂工作者工作流程最佳化的小細節客製而成。

Ubuntu 18.04 LTS 的LTS的縮寫是Long-term support, 意思是長期支援,每間隔兩年發布一次,而自從18.04 開始,LTS 版本有著10年的長期支援,意思是10年間,軟體有任何的安全漏洞等,我們的上游官方Ubuntu 會提供修正,而新銳的產業用開源影音軟體,KXstudio 會不斷推陳出新。

而系統升級上,非LTS 版本的Ubuntu(比較試驗性的),由於KXstudio 一直跟隨著Ubuntu的相容性,基本上我們外掛的第三方ppa 可以掛著安全直升不管是LTS或者不是LTS版本的Ubuntu ,但是非LTS 版本的Ubuntu 多半會有很多試驗性的功能,尤其可能使得專業影音生產力軟體方面的可用性可能會受到影響。



我們有以下的升級建議:

  • 職業影音工作者:可能可以10年不升級,需要升級的話,建議是等有LTS的Ubuntu 釋出再升級,我們也會先為大家測試過,讓大家無痛升級,讓您嚴謹的作品製作案工作不受影響。
  • 有資訊工程技能的使用者:如果您願意測試,自行hack 解決問題,又不擔心升級後可能發生工作受到影響的狀況,您可以試試看non lts,比較安全的方式是使用虛擬機,請協助debug且回報給Ubuntu官方,你發現的軟體問題 (要先用關鍵字查詢看看,有人已經回報的串,只要在那底下回文就好囉),很建議熟悉開源開發文化的您,協助影音工作者發現問題,回報問題。
  • 業餘影音工作者:我們的建議前一條
  • 玩遊戲的人:請等Ubuntu 與Steam 協調的32位元相容方案比較確定以後再升級

最近的兩個non lts 版我們這邊可以報告給大家:

  • 19.04:有重大bug,導致jackd2 專業音訊工具鍊無法運作(專業音樂程式都是基於jackd2),這同時影響KXstudio 與Ubuntu Studio
  • 19.10:jackd2沒有問題,唯獨需要改安裝ubuntustudio-controls 取代Cadence 前端來自動啟動jackd2 ,你可以在Synaptic 套件管理程式找到它,目前低延遲效能上,確定ubuntustudio-controls 會讓MZ-530 內建音效晶片只能穩定運作到最低5ms的低延遲,2.7ms 就不行了,一定會有大量xrun現場演奏用途較不適合
這是小編測試升級到19.10 以後,使用ubuntustudio-controls的畫面

ubuntustudio-controls 以職業工作者角度來說,還缺乏必備的一些機能,但也有一些好的創見,所以還是歡迎有志的朋友們多給他們回饋意見唷。

發佈留言